<!DOCTYPE html>
<html>
<head>
  <title>Sign up and sign in form</title>
  <link rel="stylesheet" href="signup.css">
  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link href="https://fonts.googleapis.com/css2?family=Poppins&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <!-- <script src="signup.js"></script> -->
</head>
<body>
     
  <div class="wrapper">
    <div class="container">
      <div class="sign-up-container">
        <form class="signup" id="signup">
          <h1>Sign Up</h1>
          <div class="social-links">
            
          </div>
          <input type="text" placeholder="Name" id="name">
          <input type="email" placeholder="Email" id="email">
          <input type="password" placeholder="Password" id="password">
          <input type="password" placeholder="Confirm Password" id="passwordConfirm">
          
          <input type="tel" placeholder="Phone Number" id="phone">
          <!-- <div class="agreement">
            <input type="checkbox" value="Agree to Term and Conditions">
          </div> -->
          <button class="form_btn" type="submit">Sign Up</button>
        </form>
      </div>
      <div class="sign-in-container">
        <form class="login" id="login">
          <h1>Sign In</h1>
          <input type="email" placeholder="Email" id="email1">
          <input type="password" placeholder="Password" id="password1">
          <button class="form_btn" type="submit">Sign In</button>
        </form>
      </div>

      <div class="overlay-container">
        <div class="overlay-left">
          <h1>One of us?</h1>
          <p>Get ready to bid like a pro! Login now and join the action.</p>
          <button id="signIn" class="overlay_btn" >Sign In</button>
        </div>
        <div class="overlay-right">
          <h1>New Here?</h1>
          <p>Sign up now to access exclusive auctions and bid on your favorite items</p>
          <button id="signUp" class="overlay_btn">Sign Up</button>
        </div>
      </div>
    </div>
  </div>

  <script>
        
    const signUpBtn = document.getElementById("signUp");
    const signInBtn = document.getElementById("signIn");
    const container = document.querySelector(".container");

    signUpBtn.addEventListener("click",() =>{
      container.classList.add("right-panel-active");

    })
    signInBtn.addEventListener("click",() =>{
      container.classList.remove("right-panel-active")
    })

  </script>
 
  <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.4.0/axios.min.js"
      integrity="sha512-uMtXmF28A2Ab/JJO2t/vYhlaa/3ahUOgj1Zf27M5rOo8/+fcTUVH0/E0ll68njmjrLqOBjXM3V9NiPFL5ywWPQ=="
      crossorigin="anonymous" referrerpolicy="no-referrer"></script>
      <!-- <script type="module" src="sign.js"></script> -->
      <script>
        // import { showAlert } from './alert.js'
// console.log("SIGNUP TEST")
 const signup = async (name, email, password, passwordConfirm) => {
    try {
        console.log("CALLING")
        const res = await axios({
            method: 'POST',
            url: 'https://nexusbid.onrender.com/api/v1/users/signup',
            data: {
                name,
                email,
                password,
                passwordConfirm,
            },
        })
        console.log(res)
        if (res.data.status === 'success') {
            // showAlert('success', 'Account created successfully!')
            window.setTimeout(() => {
                location.assign('/signup')
            }, 1500)
        }
    } catch (err) {
        let message = typeof err.response !== 'undefined'
            ? err.response.data.message
            : err.message
        // showAlert('error', 'Error: Passwords are not the same!', message)
        console.log(message)
    }
}

const login = async (email, password) => {
    try {
        console.log("CALLING")
        const res = await axios({
            method: 'POST',
            url: 'https://nexusbid.onrender.com/api/v1/users/login',
            data: {
               
                email,
                password,
                
            },
        })
        console.log(res)
        
        if (res.data.status === 'success') {
            // showAlert('success', 'logged in successfully')
            var obj = res.data.data.user
            if(obj.role==='admin'){
                window.setTimeout(()=>{
                    location.assign('/admin')
                }, 1500)

            } else{
            window.setTimeout(() => {
                location.assign('/home')
            }, 1500)
          }
        }
      }
        catch (err) {
        let message = typeof err.response !== 'undefined'
            ? err.response.data.message
            : err.message
        // showAlert('error', 'Error: Passwords are not the same!', message)
        console.log(message)
    }
}







document.querySelector('.signup').addEventListener('click', (e) => {
    // console.log("here")
    e.preventDefault()
    const name = document.getElementById('name').value
    const email = document.getElementById('email').value
    const password = document.getElementById('password').value
    const passwordConfirm = document.getElementById('passwordConfirm').value
    signup(name, email, password, passwordConfirm)
})

document.querySelector('.login').addEventListener('click', (e) => {
    // console.log("here")
    e.preventDefault()
    // const name = document.getElementById('name').value
    const email = document.getElementById('email1').value
    const password = document.getElementById('password1').value
    
    login(email, password)
})




const form = document.querySelector('form');
const usernameInput = document.querySelector('#username');
const emailInput = document.querySelector('#email');
const passwordInput = document.querySelector('#password');
const confirmPasswordInput = document.querySelector('#confirm-password');

form.addEventListener('submit', (e) => {
  e.preventDefault();
  
  // Perform validation on form inputs
  let isValid = true;
  
  // Validate username
  if (usernameInput.value.trim() === '') {
    setErrorFor(usernameInput, 'Username is required');
    isValid = false;
  } else {
    setSuccessFor(usernameInput);
  }
  
  // Validate email
  if (emailInput.value.trim() === '') {
    setErrorFor(emailInput, 'Email is required');
    isValid = false;
  } else if (!isValidEmail(emailInput.value)) {
    setErrorFor(emailInput, 'Email is not valid');
    isValid = false;
  } else {
    setSuccessFor(emailInput);
  }
  
  // Validate password
  if (passwordInput.value.trim() === '') {
    setErrorFor(passwordInput, 'Password is required');
    isValid = false;
  } else if (passwordInput.value.length < 6) {
    setErrorFor(passwordInput, 'Password must be at least 6 characters');
    isValid = false;
  } else {
    setSuccessFor(passwordInput);
  }
  
  // Validate confirm password
  if (confirmPasswordInput.value.trim() === '') {
    setErrorFor(confirmPasswordInput, 'Please confirm your password');
    isValid = false;
  } else if (confirmPasswordInput.value !== passwordInput.value) {
    setErrorFor(confirmPasswordInput, 'Passwords do not match');
    isValid = false;
  } else {
    setSuccessFor(confirmPasswordInput);
  }
  
  // If form inputs are valid, submit the form
  if (isValid) {
    form.submit();
  }
});

function setErrorFor(input, message) {
  const formControl = input.parentElement;
  const errorMessage = formControl.querySelector('.error-message');
  
  formControl.classList.add('error');
  errorMessage.innerText = message;
}

function setSuccessFor(input) {
  const formControl = input.parentElement;
  
  formControl.classList.remove('error');
}

function isValidEmail(email) {
  return /^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(email);
}

const phoneNumberInput = document.getElementById("phone-number");

// Add event listener for input changes
phoneNumberInput.addEventListener("input", () => {
  // Remove any non-numeric characters from the input value
  let phoneNumber = phoneNumberInput.value.replace(/\D/g, "");
  
  // Add the country code prefix if it's not already present
  if (!phoneNumber.startsWith("+975")) {
    phoneNumber = "+975" + phoneNumber;
  }
  
  // Limit the input to 8 numeric characters
  phoneNumber = phoneNumber.slice(0, 5) + phoneNumber.slice(5, 13).replace(/\D/g, "");
  
  // Check if the phone number starts with 17 or 77
  if (!phoneNumber.startsWith("+97517") && !phoneNumber.startsWith("+97577")) {
    // Display an error message
    document.getElementById("phone-number-error").textContent = "Phone number must start with +97517 or +97577";
    // Disable the sign up button
    document.getElementById("sign-up-button").disabled = true;
  } else {
    // Clear the error message
    document.getElementById("phone-number-error").textContent = "";
    // Enable the sign up button
    document.getElementById("sign-up-button").disabled = false;
  }
  
  // Set the formatted phone number back to the input value
  phoneNumberInput.value = phoneNumber;
});


      </script>
      
</body>
</html>
